/*
 *    Copyright 2018-2019 adview.com, Inc.
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package com.adview.mobile.javademo.activities.ads.inapp;

import android.os.Bundle;
import android.view.Gravity;
import android.widget.FrameLayout;

import androidx.annotation.Nullable;

import com.adview.sdk.AdSize;
import com.adview.sdk.api.rendering.BannerView;
import com.adview.mobile.javademo.activities.BaseAdActivity;

public class InAppDisplayBannerMultiSizeActivity extends BaseAdActivity {

    private static final String CONFIG_ID = "POSID0wbfijwzm430"; //offical
    private static final int WIDTH = 320;
    private static final int HEIGHT = 50;

    private BannerView adView;

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        createAd();
    }

    private void createAd() {
        adView = new BannerView(this, CONFIG_ID, new AdSize(WIDTH, HEIGHT));
        adView.addAdditionalSizes(new AdSize(300, 250));
        adView.addAdditionalSizes(new AdSize(320, 100));

        float density = getResources().getDisplayMetrics().density;
        int widthPx = (int) (WIDTH * density);
        int heightPx = (int) (HEIGHT * density);
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(widthPx, heightPx);
        layoutParams.gravity = Gravity.CENTER_HORIZONTAL;

        getAdWrapperView().addView(adView, layoutParams);
        adView.setAutoRefreshDelay(getRefreshTimeSeconds());
        adView.loadAd();
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if (adView != null) {
            adView.destroy();
        }
    }
}
